> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar notas fiscais



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /notas
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /notas:
    get:
      tags:
        - Notas
      summary: Listar notas fiscais
      operationId: ListarNotasFiscaisAction
      parameters:
        - $ref: '#/components/parameters/tipoNota'
        - $ref: '#/components/parameters/numeroNota'
        - $ref: '#/components/parameters/cpfCnpjNota'
        - $ref: '#/components/parameters/dataInicialNota'
        - $ref: '#/components/parameters/dataFinalNota'
        - $ref: '#/components/parameters/situacaoNota'
        - $ref: '#/components/parameters/numeroPedidoEcommerce'
        - $ref: '#/components/parameters/idVendedorNota'
        - $ref: '#/components/parameters/idFormaEnvioNota'
        - $ref: '#/components/parameters/idVendaNota'
        - $ref: '#/components/parameters/marcadoresNota'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_notas_limit'
        - $ref: '#/components/parameters/get_notas_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: '#/components/schemas/ListagemNotaFiscalModelResponse'
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    tipoNota:
      name: tipo
      in: query
      description: |-
        Pesquisa por tipo de nota
        - E - Entrada
        - S - Saida
      required: false
      schema:
        enum:
          - E
          - S
      x-enumDescriptions:
        - E - Entrada
        - S - Saida
    numeroNota:
      name: numero
      in: query
      description: Pesquisa por número da nota
      required: false
      schema:
        type: integer
    cpfCnpjNota:
      name: cpfCnpj
      in: query
      description: Pesquisa por CPF ou CNPJ
      required: false
      schema:
        type: string
    dataInicialNota:
      name: dataInicial
      in: query
      description: Pesquisa por data de criação
      required: false
      schema:
        type: string
        example: '2023-01-01'
    dataFinalNota:
      name: dataFinal
      in: query
      description: Pesquisa por data de criação
      required: false
      schema:
        type: string
        example: '2023-01-01'
    situacaoNota:
      name: situacao
      in: query
      description: |-
        Pesquisa pela situacão da nota
        - 1 - Pendente
        - 2 - Emitida
        - 3 - Cancelada
        - 4 - Enviada Aguardando Recibo
        - 5 - Rejeitada
        - 6 - Autorizada
        - 7 - Emitida Danfe
        - 8 - Registrada
        - 9 - Enviada Aguardando Protocolo
        - 10 - Denegada
      required: false
      schema:
        enum:
          - 1
          - 2
          - 3
          - 4
          - 5
          - 6
          - 7
          - 8
          - 9
          - 10
      x-enumDescriptions:
        - 1 - Pendente
        - 2 - Emitida
        - 3 - Cancelada
        - 4 - Enviada Aguardando Recibo
        - 5 - Rejeitada
        - 6 - Autorizada
        - 7 - Emitida Danfe
        - 8 - Registrada
        - 9 - Enviada Aguardando Protocolo
        - 10 - Denegada
    numeroPedidoEcommerce:
      name: numeroPedidoEcommerce
      in: query
      description: Pesquisa pelo número do pedido no e-commerce
      required: false
      schema:
        type: string
    idVendedorNota:
      name: idVendedor
      in: query
      description: Pesquisa por identificador do vendedor
      required: false
      schema:
        type: integer
    idFormaEnvioNota:
      name: idFormaEnvio
      in: query
      description: Pesquisa por identificador da forma de envio
      required: false
      schema:
        type: integer
    idVendaNota:
      name: idVenda
      in: query
      description: Pesquisa por identificador da venda
      required: false
      schema:
        type: integer
    marcadoresNota:
      name: marcadores
      in: query
      description: Pesquisa por marcadores
      required: false
      schema:
        type: array
        items:
          type: string
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_notas_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_notas_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemNotaFiscalModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseNotaFiscalModel'
        - properties:
            id:
              type: integer
            ecommerce:
              $ref: '#/components/schemas/EcommerceResponseModel'
            origem:
              $ref: '#/components/schemas/NotaFiscalOrigemModelResponse'
          type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    BaseNotaFiscalModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            situacao:
              description: |-

                - 1 - Pendente
                - 2 - Emitida
                - 3 - Cancelada
                - 4 - Enviada Aguardando Recibo
                - 5 - Rejeitada
                - 6 - Autorizada
                - 7 - Emitida Danfe
                - 8 - Registrada
                - 9 - Enviada Aguardando Protocolo
                - 10 - Denegada
              type: string
              enum:
                - 1
                - 2
                - 3
                - 4
                - 5
                - 6
                - 7
                - 8
                - 9
                - 10
              nullable: true
              x-enumDescriptions:
                - 1 - Pendente
                - 2 - Emitida
                - 3 - Cancelada
                - 4 - Enviada Aguardando Recibo
                - 5 - Rejeitada
                - 6 - Autorizada
                - 7 - Emitida Danfe
                - 8 - Registrada
                - 9 - Enviada Aguardando Protocolo
                - 10 - Denegada
            tipo:
              description: |-

                - E - Entrada
                - S - Saida
              type: string
              enum:
                - E
                - S
              nullable: true
              x-enumDescriptions:
                - E - Entrada
                - S - Saida
            numero:
              type: string
              nullable: true
            serie:
              type: string
              nullable: true
            chaveAcesso:
              type: string
              nullable: true
            dataEmissao:
              type: string
              nullable: true
            dataPrevista:
              type: string
              nullable: true
            cliente:
              $ref: '#/components/schemas/NotaFiscalClienteModel'
            enderecoEntrega:
              $ref: '#/components/schemas/EnderecoEntregaModelResponse'
            valor:
              type: number
              format: float
              nullable: true
            valorProdutos:
              type: number
              format: float
              nullable: true
            valorFrete:
              type: number
              format: float
              nullable: true
            vendedor:
              $ref: '#/components/schemas/VendedorResponseModel'
            idFormaEnvio:
              type: integer
              nullable: true
            idFormaFrete:
              type: integer
              nullable: true
            codigoRastreamento:
              type: string
              nullable: true
            urlRastreamento:
              type: string
              nullable: true
            fretePorConta:
              type: string
              nullable: true
            qtdVolumes:
              type: integer
              nullable: true
            pesoBruto:
              type: number
              format: float
              nullable: true
            pesoLiquido:
              type: number
              format: float
              nullable: true
          type: object
    EcommerceResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
            numeroPedidoEcommerce:
              type: string
              nullable: true
            numeroPedidoCanalVenda:
              type: string
              nullable: true
            canalVenda:
              type: string
              nullable: true
          type: object
    NotaFiscalOrigemModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: string
              nullable: true
            tipo:
              description: |-

                - pedido_compra - Pedido Compra
                - venda - Venda
                - notafiscal - Nota Fiscal
                - ordemservico - Ordem Servico
                - cobranca - Cobranca
                - devolucao - Devolucao
              type: string
              enum:
                - pedido_compra
                - venda
                - notafiscal
                - ordemservico
                - cobranca
                - devolucao
              nullable: true
              x-enumDescriptions:
                - pedido_compra - Pedido Compra
                - venda - Venda
                - notafiscal - Nota Fiscal
                - ordemservico - Ordem Servico
                - cobranca - Cobranca
                - devolucao - Devolucao
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    NotaFiscalClienteModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
          type: object
    EnderecoEntregaModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/EnderecoModel'
        - properties:
            nomeDestinatario:
              type: string
              nullable: true
            cpfCnpj:
              type: string
              nullable: true
            tipoPessoa:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
          type: object
    VendedorResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
          type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````